MONGOC_URI_GET_OPTION_AS_UTF8(3)

NAME
mongoc_uri_get_option_as_utf8 - mongoc_uri_get_option_as_utf8()

SYNOPSIS

        const char *
        mongoc_uri_get_option_as_utf8 (const mongoc_uri_t *uri,
                                       const char *option,
                                       const char *fallback);

PARAMETERS

    •   uri: A mongoc_uri_t.

    •   option: The name of an option, case insensitive.

    •   fallback: A default value to return.

DESCRIPTION

Returns the value of the URI option if it is set and of the correct type (string). This value is a pointer into the URI's internal buffer, and is only valid until the URI is modified or freed. If the option is not set, or set to an invalid type, returns fallback.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc